Page MenuHomePhabricator

paraminfo for contenttranslationlist is broken on beta wikis
Closed, ResolvedPublic

Description

http://en.wikipedia.beta.wmflabs.org/w/api.php?action=paraminfo&modules=query%2Bcontenttranslationlist is a 503

First automated pywikibot build with this problem was about an hour ago (August 19, 2015 22:46:00 UTC) : https://travis-ci.org/wikimedia/pywikibot-core/builds/76367725

The prior build was 10 hours before that, and didnt have the problem.

Event Timeline

jayvdb created this task.Aug 19 2015, 11:31 PM
jayvdb raised the priority of this task from to Unbreak Now!.
jayvdb updated the task description. (Show Details)
jayvdb added subscribers: jayvdb, greg.

Aug 19 23:32:15 deployment-mediawiki02: #012Fatal error: File not found: /srv/mediawiki/php-master/extensions/ContentTranslation/api/ApiQueryContentTranslationList.php in /srv/mediawiki/php-master/includes/AutoLoader.php on line 90

jayvdb updated the task description. (Show Details)Aug 19 2015, 11:41 PM
jayvdb set Security to None.
XZise added a subscriber: XZise.Aug 19 2015, 11:42 PM
jayvdb updated the task description. (Show Details)Aug 19 2015, 11:42 PM
jayvdb removed a subscriber: XZise.
jayvdb updated the task description. (Show Details)Aug 19 2015, 11:51 PM
jayvdb added a subscriber: XZise.Aug 20 2015, 12:23 AM

(edit conflict..)

Change 232667 had a related patch set uploaded (by Legoktm):
Revert "Refactor the dashboard and translationlist modules"

https://gerrit.wikimedia.org/r/232667

Change 232667 merged by jenkins-bot:
Revert "Refactor the dashboard and translationlist modules"

https://gerrit.wikimedia.org/r/232667

Legoktm closed this task as Resolved.Aug 20 2015, 12:57 AM
Legoktm claimed this task.

I reverted the problematic change. The underlying issue here is T109670: ContentTranslation is not running PHPUnit structure tests, which would have prevented this.